%define module_name	slmdm
%define module_version	2.7.10
%define module_release	alt16.17

%define kversion	2.4.22
%define krelease	alt17
%define flavour		std-up

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	slmdm kernel modules for SmartLink Soft Modems support
Name:		kernel-modules-%{module_name}-%{flavour}
Version:	%{module_version}
Release:	%{module_release}
Serial:		1

License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://dri.sourceforge.net/
BuildPreReq:	kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-source-%{module_name}-%{module_version}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %serial:%version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %serial:%version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %serial:%version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Requires:       kernel-modules-slmdm-data
ExclusiveArch:	%{ix86}

%description
slmdm kernel modules for SmartLink Soft Modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%{module_name}-%{module_version}

tar -jxvf %{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%setup -D -T -n kernel-source-%{module_name}-%{module_version}

%build
%make_build KERNEL_INCLUDES=%_includedir/linux-%{kversion}-%{flavour}/include CC=%kcc all

%install
mkdir -p \
    $RPM_BUILD_ROOT/%{module_dir} $RPM_BUILD_ROOT/%{_sysconfdir}
%__install -D -m 644 slmdm.o slfax.o slamrmo.o slusb.o \
    $RPM_BUILD_ROOT/%{module_dir}
					    
%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%defattr(644,root,root,755)
%module_dir
%doc COPYRIGHT Changes FAQ README

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt16.17
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt15.17
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 1:2.7.10-alt14.17
- fix specfile for build modules with kernel includes in otcher directory
- added build requires

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt13
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt12
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt11
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt10
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt9
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt8
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt7
- rebuilt with 2.4.21rel-alt7

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt6
- rebuilt with 2.4.21rel-alt6

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt5
- rebuilt with 2.4.21rel-alt5

* Fri Jul 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.10-alt4
- downgraded

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.14-alt3
- rebuilt with 2.4.21rel alt3

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.14-alt2
- rebuilt with 2.4.21rel

* Tue May 13 2003 Peter Novodvorsky <nidd@altlinux.org> 5.03.27lnxtbeta03042700-alt1
- initial release 
